Tool: get_billing_account_sku_group
Gets a SKU group visible to a billing account.
The following code sample shows how to use curl to call the get_billing_account_sku_group MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_billing_account_sku_group", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetBillingAccountSkuGroup.
GetBillingAccountSkuGroupRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the |
Output Schema
Encapsulates a stock keeping (SKU) group visible to a billing account. A SKU group represents a collection of SKUs that are related to each other. For example, the AI Platform APIs SKU group includes SKUs from the Cloud Dialogflow API, the Cloud Text-to-Speech API, and additional related APIs.
BillingAccountSkuGroup
| JSON representation |
|---|
{ "name": string, "displayName": string } |
| Fields | |
|---|---|
name |
Resource name for the |
displayName |
Description of the |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌